// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
/**
 * This file contains the implementation of local supported algorithms for the browser.
 *
 * We currently don't support any cryptography operation in the browser.
 *
 */
/**
 * @internal
 * @ignore
 * The list of known assertions so far.
 * Assertions verify that the requirements to execute a local cryptography operation are met.
 */
export const assertions = {};
/**
 * A plain object containing all of the locally supported algorithms.
 */
export const localSupportedAlgorithms = {
    RSA1_5: undefined,
    "RSA-OAEP": undefined,
    PS256: undefined,
    RS256: undefined,
    PS384: undefined,
    RS384: undefined,
    PS512: undefined,
    RS512: undefined
};
/**
 * Checks whether a given algorithm name is supported or not.
 * @param algorithm string name of the algorithm
 */
export function isLocallySupported(_algorithm) {
    return false;
}
//# sourceMappingURL=algorithms.browser.js.map