// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
import { __awaiter } from "tslib";
import { createHash as cryptoCreateHash } from "crypto";
/**
 * @internal
 * @ignore
 * Use the platform-local hashing functionality
 */
export function createHash(algorithm, data) {
    return __awaiter(this, void 0, void 0, function* () {
        const hash = cryptoCreateHash(algorithm);
        hash.update(Buffer.from(data));
        const digest = hash.digest();
        return digest;
    });
}
//# sourceMappingURL=hash.js.map